use crate::AsyncMPCCircuit;

pub trait CircuitPass<T: 'static>: Default {
    fn run(&mut self, old: T) -> AsyncMPCCircuit;
    fn make_and_run(old: T) -> AsyncMPCCircuit {
        let mut pass = Self::default();
        pass.run(old)
    }
}
